<?php
define('THEME_VERSION', '3.1.3AlifeLineCrack');
add_filter('pre_option_link_manager_enabled', '__return_true');
add_action('after_setup_theme', 'cosy19_setup');
add_action('after_setup_theme', 'cosy19_content_width', 0);
add_action('widgets_init', 'cosy19_widgets_init');
add_action('wp_enqueue_scripts', 'cosy19_scripts');
add_action('after_switch_theme', 'cosy19_activated_setup');
add_action('switch_theme', 'cosy19_deactivated_setup');
add_action('init', 'cosy19_taxonomies_topic', 0);
add_action('init', 'cosy19_add_topic_to_api', 30);
add_filter('manage_edit-category_columns', 'cosy19_custom_taxonomy_columns');
add_filter('manage_edit-topic_columns', 'cosy19_custom_taxonomy_columns');
add_filter('manage_category_custom_column', 'cosy19_custom_taxonomy_columns_content', 10, 3);
add_filter('manage_topic_custom_column', 'cosy19_custom_taxonomy_columns_content', 10, 3);
add_filter('get_search_form', 'cosy19_modify_search_form', 100);
add_action('pre_get_posts', 'cosy19_pre_get_posts');
add_action('admin_head', 'cosy19_smartideo_install_hook');
add_filter('display_post_states', 'cosy19_custom_post_states', 10, 2);
require get_template_directory() . '/inc/template-tags.php';
require get_template_directory() . '/inc/template-functions.php';
require get_template_directory() . '/inc/customizer.php';
include get_template_directory() . '/functions_cosy.php';
add_filter('acf/settings/remove_wp_meta_box', '__return_false');
function mee_curl_get_contents($url) 
{
	$curlHandle = curl_init();
	curl_setopt($curlHandle, CURLOPT_URL, $url);
	curl_setopt($curlHandle, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($curlHandle, CURLOPT_TIMEOUT, 60);
	$result = curl_exec($curlHandle);
	curl_close($curlHandle);
	return $result;
}
function GetUrlToDomain($domain, $mee_api) 
{
	$mee_domain_key = get_option('_nice_domain_' . $domain);
	if ($mee_domain_key) 
	{
		return $mee_domain_key;
	}
	$re_domain = '';
	$return = mee_curl_get_contents($mee_api . '?do=get_weiba');
	$domain_postfix_cn_array = json_decode($return, true);
	$array_domain = explode('.', $domain);
	$array_num = count($array_domain) - 1;
	if ($array_domain[$array_num] == 'cn') 
	{
		if (in_array($array_domain[$array_num - 1], $domain_postfix_cn_array)) 
		{
			$re_domain = $array_domain[$array_num - 2] . '.' . $array_domain[$array_num - 1] . '.' . $array_domain[$array_num];
		}
		else 
		{
			$re_domain = $array_domain[$array_num - 1] . '.' . $array_domain[$array_num];
		}
	}
	else 
	{
		$re_domain = $array_domain[$array_num - 1] . '.' . $array_domain[$array_num];
	}
	update_option('_nice_domain_' . $domain, $re_domain);
	return $re_domain;
}
function cosy19_setup() 
{
	require_once get_template_directory() . '/acf.php';
	require get_template_directory() . '/modules/nc-store-install.php';
	load_theme_textdomain('cosy19', get_template_directory() . '/languages');
	add_theme_support('automatic-feed-links');
	add_theme_support('title-tag');
	add_theme_support('post-thumbnails');
	add_theme_support('post-formats', array('status', 'image', 'video', 'audio'));
	register_nav_menus(array('menu-1' => esc_html__('Primary Navigation', 'cosy19'), 'menu-2' => esc_html__('Mobile Tab Navigation', 'cosy19'), 'menu-3' => esc_html__('Mobile Navigation', 'cosy19')));
	add_theme_support('html5', array('search-form', 'comment-form', 'comment-list', 'gallery', 'caption'));
	add_theme_support('custom-background', apply_filters('cosy19_custom_background_args', array('default-color' => 'ffffff', 'default-image' => '')));
	require get_template_directory() . '/widgets/recommended-posts.php';
}
function cosy19_content_width() 
{
	$GLOBALS['content_width'] = apply_filters('cosy19_content_width', 640);
}
function cosy19_widgets_init() 
{
	register_sidebar(array('name' => esc_html__('Main Sidebar', 'cosy19'), 'id' => 'main-sidebar', 'description' => esc_html__('Add widgets here.', 'cosy19'), 'before_widget' => '<section id="%1$s" class="widget %2$s">', 'after_widget' => '</section>', 'before_title' => '<div class="widget-title">', 'after_title' => '</div>'));
	register_sidebar(array('name' => esc_html__('Archive Sidebar', 'cosy19'), 'description' => esc_html__('Add widgets here.', 'cosy19'), 'id' => 'sidebar-archive', 'before_widget' => '<section id="%1$s" class="widget %2$s">', 'after_widget' => '</section>', 'before_title' => '<div class="widget-title">', 'after_title' => '</div>'));
	register_sidebar(array('name' => esc_html__('Single Sidebar', 'cosy19'), 'description' => esc_html__('Add widgets here.', 'cosy19'), 'id' => 'sidebar-single', 'before_widget' => '<section id="%1$s" class="widget %2$s">', 'after_widget' => '</section>', 'before_title' => '<div class="widget-title">', 'after_title' => '</div>'));
	register_sidebar(array('name' => esc_html__('Page Sidebar', 'cosy19'), 'description' => esc_html__('Add widgets here.', 'cosy19'), 'id' => 'sidebar-page', 'before_widget' => '<section id="%1$s" class="widget %2$s">', 'after_widget' => '</section>', 'before_title' => '<div class="widget-title">', 'after_title' => '</div>'));
}
function cosy19_scripts() 
{
	wp_enqueue_style('nicetheme-iconfont', get_template_directory_uri() . '/fonts/iconfont.css');
	wp_enqueue_style('nicetheme-nicetheme', get_template_directory_uri() . '/css/nicetheme.css');
	wp_enqueue_style('nicetheme-style', get_stylesheet_uri());
	global $post;
	wp_localize_script('jquery', 'globals', array('ajax_url' => admin_url('admin-ajax.php'), 'url_theme' => get_template_directory_uri(), 'site_url' => get_bloginfo('url'), 'post_id' => is_single() ? $post->ID : 0));
	wp_localize_script('jquery', '__', array('load_more' => __('Load more...', 'cosy19'), 'reached_the_end' => __('You\'ve reached the end.', 'cosy19'), 'thank_you' => __('Thank you!', 'cosy19'), 'success' => __('Success!', 'cosy19'), 'cancelled' => __('Cancelled.', 'cosy19')));
	wp_localize_script('jquery', 'toc', array('tag' => is_single() && get_field('toc', $post->ID) ? get_field('toc_tag', $post->ID) : 0));
	wp_register_script('nicetheme-ajax-comments', get_template_directory_uri() . '/js/ajax-comment.js', array('jquery'), THEME_VERSION, true);
	wp_register_script('nicetheme-view-history', get_template_directory_uri() . '/js/view-history.js', array('jquery'), THEME_VERSION, true);
	wp_register_script('nicetheme-resizeseneor', get_template_directory_uri() . '/js/ResizeSensor.min.js', array('jquery'), THEME_VERSION, true);
	wp_register_script('nicetheme-sticky-sidebar', get_template_directory_uri() . '/js/theia-sticky-sidebar.min.js', array('jquery'), THEME_VERSION, true);
	if (!is_admin()) 
	{
		wp_enqueue_script('nicetheme-plugins', get_template_directory_uri() . '/js/plugins.min.js', array('jquery'), THEME_VERSION, true);
		if (is_singular()) 
		{
			wp_enqueue_script('nicetheme-resizeseneor');
			wp_enqueue_script('nicetheme-sticky-sidebar');
		}
		if (is_page_template('pages/page-history.php')) 
		{
			wp_enqueue_script('nicetheme-view-history');
		}
		wp_enqueue_script('nicetheme-nicetheme', get_template_directory_uri() . '/js/nicetheme.js', array('jquery'), THEME_VERSION, true);
		if (is_singular() && comments_open()) 
		{
			wp_enqueue_script('nicetheme-ajax-comments');
		}
	}
}
function cosy19_activated_setup() 
{
	$post = array('post_title' => __('Browsing History', 'cosy19'), 'post_name' => 'browsing-history', 'post_status' => 'publish', 'post_type' => 'page', 'page_template' => 'pages/page-history.php');
	wp_insert_post($post);
}
function cosy19_deactivated_setup() 
{
	$args = array('post_type' => 'page', 'meta_key' => '_wp_page_template', 'meta_value' => 'pages/page-history.php');
	$viewHistoryPage = new WP_Query($args);
	$viewHistoryPage->the_post();
	global $post;
	wp_delete_post($post->ID);
	wp_reset_postdata();
}
function cosy19_taxonomies_topic() 
{
	register_taxonomy('special', 'post', array('label' => esc_html__('Topics', 'cosy19'), 'hierarchical' => false));
}
function cosy19_add_topic_to_api() 
{
	$topic = get_taxonomy('special');
	$topic->show_in_rest = true;
}
function cosy19_custom_taxonomy_columns($columns) 
{
	$columns['cosy19_term_id'] = esc_html__('ID', 'cosy19');
	return $columns;
}
function cosy19_custom_taxonomy_columns_content($content, $column_name, $term_id) 
{
	if ('cosy19_term_id' == $column_name) 
	{
		$content = $term_id;
	}
	return $content;
}
function cosy19_modify_search_form($form) 
{
	$form = '<form role="search" method="get" id="searchform" class="searchform" action="' . home_url('/') . '" >
   <div class="search-input form-group m-0"><label class="screen-reader-text" for="s">' . __('Search for:') . '</label>
   <input type="text" placeholder="请输入搜索关键词" class="form-control" value="' . get_search_query() . '" name="s" id="s" required="">
   <button class="btn" type="submit" id="searchsubmit"><i class="iconfont icon-sousuo"></i></button>
   </div>
   </form>';
	return $form;
}
function cosy19_pre_get_posts($query) 
{
	$query->set('ignore_sticky_posts', 1);
	if ($query->is_category() && $query->is_main_query()) 
	{
		$top_posts = get_field('top_posts', 'category_' . $query->query_vars['cat']);
		if ($top_posts) 
		{
			$query->set('post__not_in', get_option('sticky_posts'));
		}
	}
	if ($query->is_search) 
	{
		$query->set('post_type', 'post');
	}
}
function cosy19_smartideo_install_hook() 
{
	echo '<script>';
	echo 'function open_smartideo_install_window() {';
	echo 'var url=\'' . get_bloginfo('url') . '/wp-admin/plugin-install.php?tab=plugin-information&plugin=smartideo\';';
	echo 'var iWidth=772;';
	echo 'var iHeight=671;';
	echo 'var iTop = (window.screen.availHeight - 30 - iHeight) / 2; ';
	echo 'var iLeft = (window.screen.availWidth - 10 - iWidth) / 2; ';
	echo 'window.open(url, \'_blank\', \'height=\' + iHeight + \',innerHeight=\' + iHeight + \',width=\' + iWidth + \',innerWidth=\' + iWidth + \',top=\' + iTop + \',left=\' + iLeft + \',status=no,toolbar=no,menubar=no,location=no,resizable=no,scrollbars=0,titlebar=no\'); ';
	echo '}';
	echo '</script>';
}
function cosy19_custom_post_states($states, $post) 
{
	$focus_posts = get_field('index_focus_posts', 'option');
	if ('post' == get_post_type($post->ID) && is_array($focus_posts) && in_array($post->ID, array_column($focus_posts, 'post'))) 
	{
		$states[] = '已推送到首页轮播区';
	}
	return $states;
}
function cosy19_get_conf_set_image($slug) 
{
	return get_template_directory_uri() . '/images/set/' . $slug . '.png';
}
?>