<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @package Cosy19
 */
$footer_widgets = get_field('footer_widgets', 'option');
$footer_bottom = get_field('footer_bottom', 'option');
// $social_connect = get_field('social_connect', 'option');
$social_connect = wp_parse_args( get_field('social_connect', 'option'), array(
	'weibo'  => '',
	'weixin' => array(
		'title' => '',
		'img'   => '',
		'desc'  => ''
	),
	'qq'       => '',
	'facebook' => '',
	'twitter'  => '',
	'linkedin' => ''
) );

$footer_text = $footer_bottom['footer_text'];
$miitbeian = $footer_bottom['miitbeian'];
$miitbeian_button = $footer_bottom['miitbeian_button'];
$gabeian_button = $footer_bottom['gabeian_button'];
$gabeian = $footer_bottom['gabeian'];
$gabeian_link = $footer_bottom['gabeian_link'];

?>
<footer class="footer bg-dark pt-4 pt-md-5">
    <div class="container">
        <div class="row my-n3">
        	<?php if( !empty( $footer_widgets ) ){ ?>
            <div class="col py-3">
                <div class="footer-widget pr-lg-5">
                    <div class="footer-widget-header"><?php echo $footer_widgets['first']['title'] ?></div>
                    <div class="footer-widget-content">
                        <p><?php echo $footer_widgets['first']['content'] ?></p>
                    </div>
                    <div class="footer-widget-social mx-n2 mt-2">
                        <?php echo $social_connect['weibo'] ?'<a href="'.$social_connect['weibo'].'" target="_blank" class="weibo px-2"><i class="iconfont icon-weibo"></i></a>' : ''; ?>
                        <?php echo $social_connect['weixin']['title'] ? '<a href="javascript:" class="single-popup weixin px-2" data-img="'.$social_connect['weixin']['img'].'" data-title="'.$social_connect['weixin']['title'].'" data-desc="'.$social_connect['weixin']['desc'].'"><i class="iconfont icon-weixin"></i></a>' : ''; ?>
                        <?php echo $social_connect['qq'] ? '<a href="'.$social_connect['qq'].'" target="_blank" class="qq px-2"><i class="iconfont icon-qq"></i></a>' : ''; ?>
                        <?php echo $social_connect['facebook'] ? '<a href="'.$social_connect['facebook'].'" target="_blank" class="facebook px-2"><i class="iconfont icon-facebook"></i></a>' : ''; ?>
                        <?php echo $social_connect['twitter'] ? '<a href="'.$social_connect['twitter'].'" target="_blank" class="twitter px-2"><i class="iconfont icon-twitter"></i></a>' : ''; ?>
                        <?php echo $social_connect['linkedin'] ? '<a href="'.$social_connect['linkedin'].'" target="_blank" class="linkedin px-2"><i class="iconfont icon-linkedin"></i></a>' : ''; ?>
                    </div>
                </div>
            </div>
        	<?php } ?>
            <div class="col-lg-3 py-3">
                <div class="footer-widget">
                    <div class="footer-widget-header"><?php echo $footer_widgets['second']['title'] ?></div>
                    <div class="footer-widget-content">
                        <div class="footer-widget-links">
                            <?php if ($footer_widgets['second']['type'] == 'menu'): ?>
                            <?php
                                echo strip_tags(wp_nav_menu(array(
                                    'menu' => $footer_widgets['second']['menu'],
                                    'container'       => false,
                                    'echo'            => false,
                                    'items_wrap'      => '%3$s',
                                    'depth'           => 0,
                                )), '<a>' );
                            ?>
                            <?php endif; ?>
                            <?php if ($footer_widgets['second']['type'] == 'bookmark'): ?>
                            <?php
                                $bookmarks = get_bookmarks(array(
                                    'category' => $footer_widgets['second']['bookmarks']
                                ));
                            ?>
                            <?php foreach($bookmarks as $bookmark): ?>
                                <a href="<?php echo $bookmark->link_url ?>" target="<?php echo $bookmark->link_target ?>"><?php echo $bookmark->link_name ?></a>
                            <?php endforeach; ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 py-3">
                <?php $not_home_consist = $footer_widgets['third']['not_home']; ?>
                <?php if (is_home() || $not_home_consist): ?>
                <div class="footer-widget">
                    <div class="footer-widget-header"><?php echo $footer_widgets['third']['title'] ?></div>
                    <div class="footer-widget-content">
                        <div class="footer-widget-links">
                        <?php if ($footer_widgets['third']['type'] == 'menu'): ?>
                            <?php
                                echo strip_tags(wp_nav_menu(array(
                                    'menu' => $footer_widgets['third']['menu'],
                                    'container'       => false,
                                    'echo'            => false,
                                    'items_wrap'      => '%3$s',
                                    'depth'           => 0,
                                )), '<a>' );
                            ?>
                            <?php endif; ?>
                            <?php if ($footer_widgets['third']['type'] == 'bookmark'): ?>
                            <?php
                                $bookmarks = get_bookmarks(array(
                                    'category' => $footer_widgets['third']['bookmarks']
                                ));
                            ?>
                            <?php foreach($bookmarks as $bookmark): ?>
                                <a href="<?php echo $bookmark->link_url ?>" target="<?php echo $bookmark->link_target ?>"><?php echo $bookmark->link_name ?></a>
                            <?php endforeach; ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <?php else: ?>
                <div class="footer-widget">
                    <div class="footer-widget-header"><?php echo $footer_widgets['third']['not_home_content']['title'] ?></div>
                    <div class="footer-widget-content">
                        <div class="footer-widget-links m-n1">
                        <?php if ($footer_widgets['third']['not_home_content']['type'] == 'menu'): ?>
                            <?php
                                echo strip_tags(wp_nav_menu(array(
                                    'menu' => $footer_widgets['third']['not_home_content']['menu'],
                                    'container'       => false,
                                    'echo'            => false,
                                    'items_wrap'      => '%3$s',
                                    'depth'           => 0,
                                )), '<a>' );
                            ?>
                            <?php endif; ?>
                            <?php if ($footer_widgets['third']['not_home_content']['type'] == 'bookmark'): ?>
                            <?php
                                $bookmarks = get_bookmarks(array(
                                    'category' => $footer_widgets['third']['not_home_content']['bookmarks']
                                ));
                            ?>
                            <?php foreach($bookmarks as $bookmark): ?>
                                <a href="<?php echo $bookmark->link_url ?>" target="<?php echo $bookmark->link_target ?>"><?php echo $bookmark->link_name ?></a>
                            <?php endforeach; ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <?php endif; ?>
            </div>
        </div>
        <div class="footer-copyright border-top py-4 mt-4">
            <?php
                if ( is_home() && $miitbeian_button) : $footer_text .= ' <a href="http://beian.miit.gov.cn/" target="_blank" rel="nofollow" class="d-none d-lg-inline-block">'.$miitbeian.'</a>'; endif;
                if ( is_home() && $gabeian_button) : $footer_text .= ' <a href="'.$gabeian_link.'" target="_blank" rel="nofollow" class="d-none d-lg-inline-block"><i class="icon icon-beian"></i>'.$gabeian.'</a> '; endif;
                echo 'Copyright © '.cosy19_get_footer_year().' <a href="'.get_bloginfo('url').'" title="'.get_bloginfo('name').'" rel="home">'.get_bloginfo('name').'</a>. Designed by <a href="https://www.nicetheme.cn" title="nicetheme奈思主题-资深的原创WordPress主题开发团队" target="_blank">nicetheme</a>. '.$footer_text;
            ?>
        </div>
    </div>
</footer>
